Disclose Vulnerability

From: alphan yavaş <ayavasa94@gmail.com>
To: bugtraq@securityfocus.com,fulldisclosure@seclists.org
Cc:
Subject: Disclose Vulnerability
Date:


I. VULNERABILITY
-------------------------
Cisco WebEx Meetings Server XML External Entity

II. CVE REFERENCE
-------------------------
CVE-2018-18895

III. VENDOR
-------------------------
http://cisco.com

IV. TIMELINE
------------------------
18/09/2018 Vulnerability discovered
19/09/2018 Vendor contacted
24/10/2018 Cisco replay that they will fix it.

V. CREDIT
-------------------------
Alphan Yavas from Biznet Bilisim A.S.

VI. DESCRIPTION
-------------------------
Cisco Webex Meetings Server includes a version of Castor XML that is
affected by XXE. Because of that Cisco WebEx Meetings Server prior to
versions 2.8MR3 and 3.0MR2 patch 1 are affected from XXE
vulnerability. A remote unauthenticated attacker may lead to the
disclosure of confidential data, denial of service, server side
request forgery, port scanning from the perspective of the machine
where the parser is located, and other system impacts by using this
vulnerability.

Vulnerable path: /WBXServixe/XMLService
Vulnerable parametre: siteName

VII. SOLUTION
-------------------------
Update current Cisco WebEx Meetings Server to 2.8MR3, 3.0MR2 patch 1,
or the upcoming 4.0 release.

VIII. REFERENCES
-------------------------
You can find Cisco\u2019s announcement from the link below:
https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvm56811

You can find more information about XXE from the link below:
https://www.owasp.org/index.php/XML_External_Entity_(XXE)_Processing

Castor XML fixed this issue with CVE-2014-3004.





Copyright © 1995-2018 LinuxRocket.net. All rights reserved.